#!/usr/bin/python

import os
import sys
import qub.pyenv
import qub.treeGTK
import gtk

if len(sys.argv) > 2:
    print """usage: qubtree_edit /path/to/file"""
    sys.exit(1)

path = os.path.join(os.path.expanduser('~'), '.qubtree')
qub.pyenv.Init(path)

w = qub.treeGTK.TreeWindow(stand_alone=True)
if len(sys.argv) > 1:
    w.open(sys.argv[1])
w.show()

gtk.main()
